Bug 73611 - perldoc should use $MANPAGER
perldoc should use $MANPAGER
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: perl (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Chip Turner
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-06 14:21 EDT by Enrico Scholz
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-11 17:32:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2002-09-06 14:21:53 EDT
Description of Problem:

perldoc uses the $PAGER environment variable to display man-pages. This is
contrarily to the usual 'man' which interprets $MANPAGER and causes conflicts
when having $PAGER defined.

The perldoc-manpage states in the 'ENVIRONMENT' section that it will use:

| the pager defined in "PERLDOC_PAGER", "MANPAGER", or "PAGER" ...

As shown below, this does not happen


Version-Release number of selected component (if applicable):

perl-5.8.0-51.1
man-1.5j-9
groff-1.18-5


How Reproducible:

100%


Steps to Reproduce:
1. unset PERLDOC_PAGER
2. export PAGER='less'
3. export MANPAGER='less -isr'
4. man man ## just for control
5. perldoc perldoc
6. PAGER='less -isr' perldoc perldoc

Actual Results:

ESC-sequences in the output of 5.


Expected Results:

same output at 5. and 6.
Comment 1 Chip Turner 2003-04-11 17:32:29 EDT
this is an upstream bug

Note You need to log in before you can comment on or make changes to this bug.